> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenarch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Services

> Search x402 services by category, keyword, or price range — agent-facing discovery endpoint for finding paid APIs and gated content.

<RequestExample>
  ```bash theme={null}
  curl "https://xenarch.dev/v1/services/search?category=api&q=news&min_price=0.01&max_price=0.10"
  ```
</RequestExample>

## Query parameters

| Parameter   | Type    | Description                                          |
| ----------- | ------- | ---------------------------------------------------- |
| `category`  | string  | Filter by category: `api`, `docs`, `data`, `content` |
| `q`         | string  | Keyword search in name and description               |
| `min_price` | decimal | Minimum price per request                            |
| `max_price` | decimal | Maximum price per request                            |
| `limit`     | integer | Max results (default 20)                             |
| `offset`    | integer | Pagination offset                                    |


## OpenAPI

````yaml GET /v1/services/search
openapi: 3.1.0
info:
  title: Xenarch Platform
  version: 0.1.0
servers: []
security: []
paths:
  /v1/services/search:
    get:
      tags:
        - services
      summary: Search Services Endpoint
      description: Search services by category, keyword, or price range. Public endpoint.
      operationId: search_services_endpoint_v1_services_search_get
      parameters:
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
              - type: 'null'
            title: Q
        - name: min_price
          in: query
          required: false
          schema:
            anyOf:
              - type: number
                minimum: 0
              - type: string
                pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              - type: 'null'
            title: Min Price
        - name: max_price
          in: query
          required: false
          schema:
            anyOf:
              - type: number
                maximum: 1
              - type: string
                pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              - type: 'null'
            title: Max Price
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ServiceListResponse:
      properties:
        services:
          items:
            $ref: '#/components/schemas/ServiceResponse'
          type: array
          title: Services
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - services
        - total
        - limit
        - offset
      title: ServiceListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ServiceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        publisher_id:
          type: string
          format: uuid
          title: Publisher Id
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        description:
          type: string
          title: Description
        price_per_request:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Price Per Request
        category:
          type: string
          title: Category
        pay_json_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Pay Json Url
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - publisher_id
        - name
        - url
        - description
        - price_per_request
        - category
        - pay_json_url
        - is_active
        - created_at
        - updated_at
      title: ServiceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````